using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace ServerTime
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            eventLog1.Log = "SiteStatus";
            DateTime OnTime = new DateTime(0);
            DateTime OffTime = new DateTime(0);
            TimeSpan TotalTime = new TimeSpan();
            Boolean On;
            Boolean StartOn = false;

            foreach (EventLogEntry entry in eventLog1.Entries)
            {
                string[] data = entry.Message.Split(',');
                string Address = data[0];
                string Status = data[1];
                string RoundTripTime = data[2];
                if (Address == "ENTER YOUR OWN URL/IP ADDRESS")
                {
                    On = (Status == "Success");
                    //first On event
                    if (!StartOn & On)
                    {
                        StartOn = true;
                        OnTime = entry.TimeGenerated;
                    }
                    //first Off
                    if (StartOn & !On)
                    {
                        StartOn = false;
                        OffTime = entry.TimeGenerated;
                        TotalTime += OffTime - OnTime;

                    }


                }
            }
        }
    }
}